Bug 113435 - Windows and Menu Keys Ignored
Windows and Menu Keys Ignored
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-13 16:46 EST by Alexandre Strube
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 13:04:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Strube 2004-01-13 16:46:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031202

Description of problem:
Since 1995, almost every keyboard sold in the world for pc computers
has as least three more keys, comparing with 286's keyboards: Two
"windows" and one used for menu, which uses to have the same effect of
pressing the second mouse button.

As we are in 2004, it's been 9 years ignoring something which is a
reality.

I'm not saying that these keys must have any default function (like
raising the fedora menu) - but being recognized by default would make
easy for several people to configure it the way it was projected to.

Version-Release number of selected component (if applicable):
All XFree 4.2

How reproducible:
Always

Steps to Reproduce:
1. Start Gnome.
2. Go to preferences - keyboard shortcuts
3. Try to configure any keyboard shortcut and press one of these keys
- nothing happens.
    

Actual Results:  Nothing.

Expected Results:  It should behave the way it does when there's a
.Xmodmap file on user's dir containing:
keycode 115 = F13
keycode 116 = F14
keycode 117 = F15
Comment 1 Mike A. Harris 2004-10-12 13:04:42 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.